当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 10 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [问题]新手提问,Avant Window Navigator安装时出错。
帖子发表于 : 2007-08-18 9:25 

注册: 2007-08-13 9:52
帖子: 17
送出感谢: 0 次
接收感谢: 0 次
将会安装下列额外的软件包:
libawn-bzr
下列【新】软件包将被安装:
avant-window-navigator-bzr libawn-bzr
共升级了 0 个软件包,新安装了 2 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。
需要下载 543kB 的软件包。
解压缩后会消耗掉 1802kB 的额外空间。
您希望继续执行吗?[Y/n]y
获取:1 http://download.tuxfamily.org feisty/avant-window-navigator libawn-bzr 0.1.2-bzr38-1 [27.0kB]
获取:2 http://download.tuxfamily.org feisty/avant-window-navigator avant-window-navigator-bzr 0.1.2-bzr38-1 [516kB]
下载 543kB,耗时 3m18s (2739B/s)
(正在读取数据库 ... 系统当前总共安装有 121069 个文件和目录。)
正在解压缩 libawn-bzr (从 .../libawn-bzr_0.1.2-bzr38-1_i386.deb) ...
dpkg:处理 /var/cache/apt/archives/libawn-bzr_0.1.2-bzr38-1_i386.deb (--unpack)时出错:
正试图覆盖“/usr/lib/libawn.so.0.0.1”,它属于软件包 libawn0
选中了曾被取消选择的软件包 avant-window-navigator-bzr。
正在解压缩 avant-window-navigator-bzr (从 .../avant-window-navigator-bzr_0.1.2-bzr38-1_i386.deb) ...
在处理时有错误发生:
/var/cache/apt/archives/libawn-bzr_0.1.2-bzr38-1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
mengqingdong@M:~$ sudo apt-get install avant-window-navigator-bzr
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
读取状态信息... 完成
avant-window-navigator-bzr 已经是最新的版本了。
您可能需要运行“apt-get -f install”来纠正下列错误:
下列的软件包有不能满足的依赖关系:
avant-window-navigator-bzr: 依赖: libawn-bzr 但是它将不会被安装
依赖: libawn-bzr (= 0.1.2-bzr38-1) 但是它将不会被安装
E: 有未能满足的依赖关系。请尝试不指明软件包的名字来运行“apt-get -f install”(也可以指定一个解决办法)。
mengqingdong@M:~$


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2007-08-18 9:29 
头像

注册: 2006-05-13 4:02
帖子: 10606
送出感谢: 0 次
接收感谢: 7
看最后一句!


_________________
HP Pavilion DV6-2064CA: AMD Turion II Ultra Dual-Core Mobile M640, HD4650, 2GBx2 DDR2-800, Seagate 500GB 7200RPM SATA, BD-ROM
DELL UltraSharp 2209WA
Arch64, Testing repo


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2007-08-18 9:33 

注册: 2007-08-13 9:52
帖子: 17
送出感谢: 0 次
接收感谢: 0 次
昨天的时候我运行过apt-get -f install 还是不可以。

我现在用新立得软件包管理器先把libawn-bzr 安装不知道是否可以。


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2007-08-18 9:39 
头像

注册: 2006-05-13 4:02
帖子: 10606
送出感谢: 0 次
接收感谢: 7
那么你就先卸载再安装试试。


_________________
HP Pavilion DV6-2064CA: AMD Turion II Ultra Dual-Core Mobile M640, HD4650, 2GBx2 DDR2-800, Seagate 500GB 7200RPM SATA, BD-ROM
DELL UltraSharp 2209WA
Arch64, Testing repo


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2007-08-18 9:41 

注册: 2007-08-13 9:52
帖子: 17
送出感谢: 0 次
接收感谢: 0 次
先在这里谢谢zhuqin_83


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2007-08-18 10:44 

注册: 2007-08-13 9:52
帖子: 17
送出感谢: 0 次
接收感谢: 0 次
E: /var/cache/apt/archives/libawn-bzr_0.1.2-bzr38-1_i386.deb: 正试图覆盖“/usr/lib/libawn.so.0.0.1”,它属于软件包 libawn0

这个是什么意思呢?


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2007-08-18 10:45 
头像

注册: 2006-05-13 4:02
帖子: 10606
送出感谢: 0 次
接收感谢: 7
先把libawn0卸载。


_________________
HP Pavilion DV6-2064CA: AMD Turion II Ultra Dual-Core Mobile M640, HD4650, 2GBx2 DDR2-800, Seagate 500GB 7200RPM SATA, BD-ROM
DELL UltraSharp 2209WA
Arch64, Testing repo


页首
 用户资料  
 
8 楼 
 文章标题 :
帖子发表于 : 2007-08-18 10:46 

注册: 2007-08-13 9:52
帖子: 17
送出感谢: 0 次
接收感谢: 0 次
mengqingdong@M:~$ apt-get -f install
E: 无法打开锁文件 /var/lib/dpkg/lock - open (13 Permission denied)
E: Unable to lock the administration directory (/var/lib/dpkg/), are you root?
mengqingdong@M:~$

是不是要用ROOT才能进行操作?


页首
 用户资料  
 
9 楼 
 文章标题 :
帖子发表于 : 2007-08-18 10:51 
头像

注册: 2006-05-13 4:02
帖子: 10606
送出感谢: 0 次
接收感谢: 7
当然阿!


_________________
HP Pavilion DV6-2064CA: AMD Turion II Ultra Dual-Core Mobile M640, HD4650, 2GBx2 DDR2-800, Seagate 500GB 7200RPM SATA, BD-ROM
DELL UltraSharp 2209WA
Arch64, Testing repo


页首
 用户资料  
 
10 楼 
 文章标题 :
帖子发表于 : 2007-08-18 10:58 

注册: 2007-08-13 9:52
帖子: 17
送出感谢: 0 次
接收感谢: 0 次
OK,解决了。谢谢您 。


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 10 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译